from numbers import Integral

from .values import StorageCapacityRenderer

def render_capacity(size):
    size = size or 0
    if not isinstance(size, Integral):
        return size
    return StorageCapacityRenderer().render(size, "-")

CANONICAL_CASE = {
	'iscsi'  : 'iSCSI',
	'bbu'    : 'BBU',
	'ssd'    : 'SSD',
	'snmp'   : 'SNMP',
	'id'     : 'ID',
	'wwnn'   : 'WWNN',
	'raid'   : 'RAID',
}

CANONICAL_CASE_RE = '|'.join(CANONICAL_CASE.keys())