from __future__ import print_function

try:
    VERSION = __import__("pkg_resources").get_distribution("infinishell").version
except:
    print("Unable to get release information, using hard-coded version name.", file=__import__("sys").stderr)
    try:
        VERSION = __import__("infinishell.__version__").VERSION
    except:
        print("Unable to get hard-coded version name")
        VERSION = "(version N/A)"
